function Draw()
    DrawStars()
    DrawFleets()
    DrawShips()
    DrawGui()
end

function DrawStars()
    for i = 1, 200 do
        if star[i].owner == 13 then
            love.graphics.setColor(color[star[i].size - 2])
            love.graphics.circle("line", star[i].x, star[i].y, star[i].size + 3)
        else
            love.graphics.setColor(color[star[i].owner])
            love.graphics.circle("fill", star[i].x, star[i].y, star[i].size + 3)
        end
    end
end

function DrawShips()
    love.graphics.setColor(0.8, 0.8, 0.8)
    for i = 1, 200 do
        x = star[i].x - 4
        y = star[i].y + star[i].size + 4
        love.graphics.setFont(font14)
        love.graphics.printf(star[i].ships, x - 46, y, 100, "center")
    end
end

function DrawGui()
    DrawLine()
    DrawInfo()
    DrawSend()
end

function DrawFleets()
    if fleetTop > 1 then
        for i = 1, fleetTop - 1 do
            love.graphics.setColor(color[fleet[i].owner])
            love.graphics.circle("line", fleet[i].x1, fleet[i].y1, 4)
        end
    end
end

function DrawLine()
    if drawLine then
        love.graphics.setColor(BrightGreen)
        love.graphics.line(lox, loy, ldx, ldy)
    end
end

function DrawInfo() 
    if not mouseOver then return end
    i = mxyIsStar()
    if i then
        local gx = star[i].x
        local gy = star[i].y 
        if gx < 960 then gx = gx + 24 else gx = gx - 504 end
        if gy > 540 then gy = gy - 214 end 
        love.graphics.setColor(SteelBlue)
        love.graphics.rectangle("fill", gx, gy, 480, 214, 20, 20)
        love.graphics.setColor(Black)
        love.graphics.setFont(font36)
        love.graphics.printf("Star Name", gx, gy + 10, 480, "center")
        love.graphics.setColor(DarkSteelBlue)
        love.graphics.line(gx + 10, gy + 56, gx + 470, gy + 56)
        love.graphics.setColor(Black)
        love.graphics.printf("Production", gx + 10, gy + 66, 470, "left")
        love.graphics.printf(star[i].size, gx, gy + 66, 470, "right")
        love.graphics.printf("Ships", gx + 10, gy + 112, 470, "left")
        love.graphics.printf(star[i].ships, gx, gy + 112,470, "right")
        love.graphics.printf("In Range", gx + 10, gy + 158, 470, "left")
        local d = Distance(i, player[1])
        if d <= range then s = "yes" else s = "No" end 
        if star[i].owner == 1 then s = "NA" end 
        love.graphics.printf(s, gx, gy + 158, 470, "right")    
    end
end

function DrawSend()
    if sendFleet then
        if lox < width / 2 then gx = lox + 24 else gx = lox - 504 end
        if loy > 540 then gy = loy - 400 else gy = loy end 
        love.graphics.setColor(SteelBlue)
        love.graphics.rectangle("fill", gx, gy, 480, 400, 12, 12)
        love.graphics.setColor(DarkSteelBlue)
        love.graphics.rectangle("fill", gx + 416, gy + 4, 60, 60, 12, 12)
        love.graphics.setColor(SteelBlue)
        love.graphics.setLineWidth(4)
        love.graphics.line(gx + 428, gy + 16, gx + 464, gy + 52)
        love.graphics.line(gx + 464, gy + 16, gx + 428, gy + 52)
        love.graphics.setLineWidth(2)
    end
end

